@charset "utf-8";
/*共通設定*/
/*終わり*/  


#contents .inner {
    justify-content: center;
}

.photo-content {
    display: flex;
    justify-content: left;
    gap: calc(4% / 3);
    flex-wrap: wrap;
}

.js-open-modal {
    display: inline-block;
    position: relative;
    width: 24%;
    margin-bottom: calc(4% / 3);
    transition: 0.2s;
}

.js-open-modal:hover {
    cursor: pointer;
    opacity: 0.8;
}

.js-open-modal::before{
    content: "";
    display: block;
    padding-top: 100%;
}

.photo-img-01 {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    object-fit: cover;
}


/* モーダル */
.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    padding: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s;
    pointer-events: none;
    opacity: 0;
    z-index: 20000;
    background-color: rgba(120, 123, 131, 0.8);
}

/* モーダルがactiveの時 */
.modal.is-active {
    opacity: 1;
    pointer-events: auto;
}

/* モーダル背景のオーバーレイ部分 */
.modal__overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

/* モーダルのコンテンツ */
.modal__content {
    position: relative;
    background-color: #fff;
    width: 100%;
    max-width: 1200px;
    padding: 20px;
}

.swiper-slide {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 16px;
    overflow-y: scroll;
}

.photo-title {
    text-align: center;
}

.swiper-button-next,
.swiper-button-prev {
    --swiper-navigation-color: #333;
}

.swiper-button-prev {
    left: 24px !important;
}

.swiper-button-next {
    right: 24px !important;
}

.swiper-button-next::after,
.swiper-button-prev::after{
    background-color: #fff;
    opacity: 0.8;
    padding: 8px;
}


.swiper-pagination {
    text-align: right !important;
    padding-right: 40px;
}

/* モーダルを閉じるボタン */
.modal__close-btn {
    position: absolute;
    right: 0;
    top: 0;
    width: 40px;
    height: 40px;
    font-size: 24px;
    background: #fff;
    border: 1px solid #ccc;
    cursor: pointer;
    z-index: 10;
}

.photo-top-btn-wrap {
    text-align: center;
    color: #333 !important;
}

.photo-top-btn {
    position: relative;
    text-decoration: none !important;
    border: solid 1px #333;
    padding: 8px 40px;
    transition: 0.2s;
}

.photo-top-btn .arrow {
    display: inline-block;
    vertical-align: middle;
    line-height: 1;
    position: absolute;
    top: 43%;
    right: 16px;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    width: 0.5em;
    height: 0.5em;
    transform: translateX(-25%) rotate(45deg);
}

.photo-top-btn .arrow::before,
.photo-top-btn .arrow::after {
    content: '';
    position: absolute;
    background-color: #444;
    border-radius: 0.1em;
}

.photo-top-btn .arrow::before {
    top: 0;
    left: 0;
    right: 0;
    height: 0.1em;
}

.photo-top-btn .arrow::after {
    top: 0;
    right: 0;
    bottom: 0;
    width: 0.1em;
}



/*タブレット*/
@media (max-width: 1024px) {  
/*共通設定*/
/*終わり*/  

/*<header class="header">*/
/*終わり*/ 
}
  
  
/*スマホ*/
@media (max-width: 599px) {
/*共通設定*/
/*終わり*/  

    #contents h1 {
        margin-top: 24px;
        font-size: 20px;
    }

    .modal__content {
        height: 90vh;
    }

    .photo-content {
        gap: 2%;
    }

    .js-open-modal {
        width: 32%;
        margin-bottom: 2%;
    }

    .photo-title {
        text-align: left;
        width: 100%;
    }

    .swiper-button-prev {
        left: 0 !important;
    }

    .swiper-button-next::after,
    .swiper-button-prev::after{
        font-size: 1rem !important;
    }

    .swiper-button-next {
        right: 0 !important;
    }

    .swiper-pagination {
        padding-right: 0;
    }

}
